org.wildfly.swarm.config.ejb3

## Class TimerService<T extends TimerService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.TimerService<T>

-     public class TimerService<T extends TimerService<T>>
      extends Object

  The EJB timer service

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TimerService.TimerServiceResources` Child mutators for TimerService

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `databaseDataStore(DatabaseDataStore value)` Add the DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStore(DatabaseDataStoreSupplier supplier)` Install a supplied DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStore(String childKey)` Create and configure a DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStore(String childKey, DatabaseDataStoreConsumer consumer)` Create and configure a DatabaseDataStore object to the list of subresources
    `T` | `databaseDataStores(List<DatabaseDataStore> value)` Add all DatabaseDataStore objects to this subresource
    `String` | `defaultDataStore()` The default data store used for persistent timers
    `T` | `defaultDataStore(String value)` The default data store used for persistent timers
    `T` | `fileDataStore(FileDataStore value)` Add the FileDataStore object to the list of subresources
    `T` | `fileDataStore(FileDataStoreSupplier supplier)` Install a supplied FileDataStore object to the list of subresources
    `T` | `fileDataStore(String childKey)` Create and configure a FileDataStore object to the list of subresources
    `T` | `fileDataStore(String childKey, FileDataStoreConsumer consumer)` Create and configure a FileDataStore object to the list of subresources
    `T` | `fileDataStores(List<FileDataStore> value)` Add all FileDataStore objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `TimerService.TimerServiceResources` | `subresources()`
    `String` | `threadPoolName()` The name of the thread pool used to run timer service invocations
    `T` | `threadPoolName(String value)` The name of the thread pool used to run timer service invocations

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerService

          public TimerService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public TimerService.TimerServiceResources subresources()

    - #### fileDataStores

          public T fileDataStores(List<FileDataStore> value)

      Add all FileDataStore objects to this subresource
      Parameters:
        `value` - List of FileDataStore objects.
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(FileDataStore value)

      Add the FileDataStore object to the list of subresources
      Parameters:
        `value` - The FileDataStore to add
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(String childKey,
                                 FileDataStoreConsumer consumer)

      Create and configure a FileDataStore object to the list of subresources
      Parameters:
        `key` - The key for the FileDataStore resource
        `config` - The FileDataStoreConsumer to use
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(String childKey)

      Create and configure a FileDataStore object to the list of subresources
      Parameters:
        `key` - The key for the FileDataStore resource
      Returns:
        this

    - #### fileDataStore

          public T fileDataStore(FileDataStoreSupplier supplier)

      Install a supplied FileDataStore object to the list of subresources

    - #### databaseDataStores

          public T databaseDataStores(List<DatabaseDataStore> value)

      Add all DatabaseDataStore objects to this subresource
      Parameters:
        `value` - List of DatabaseDataStore objects.
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(DatabaseDataStore value)

      Add the DatabaseDataStore object to the list of subresources
      Parameters:
        `value` - The DatabaseDataStore to add
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(String childKey,
                                     DatabaseDataStoreConsumer consumer)

      Create and configure a DatabaseDataStore object to the list of subresources
      Parameters:
        `key` - The key for the DatabaseDataStore resource
        `config` - The DatabaseDataStoreConsumer to use
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(String childKey)

      Create and configure a DatabaseDataStore object to the list of subresources
      Parameters:
        `key` - The key for the DatabaseDataStore resource
      Returns:
        this

    - #### databaseDataStore

          public T databaseDataStore(DatabaseDataStoreSupplier supplier)

      Install a supplied DatabaseDataStore object to the list of subresources

    - #### defaultDataStore

          public String defaultDataStore()

      The default data store used for persistent timers

    - #### defaultDataStore

          public T defaultDataStore(String value)

      The default data store used for persistent timers

    - #### threadPoolName

          public String threadPoolName()

      The name of the thread pool used to run timer service invocations

    - #### threadPoolName

          public T threadPoolName(String value)

      The name of the thread pool used to run timer service invocations

Copyright © 2017 JBoss by Red Hat. All rights reserved.